export interface CRUDActionTypes {
    LIST_REQ: string;
    LIST_RESP: string;
    GET_REQ: string;
    GET_RESP: string;
    ADD_REQ: string;
    ADD_RESP: string;
    EDIT_REQ: string;
    EDIT_RESP: string;
    DELETE_REQ: string;
    DELETE_RESP: string;
}
export interface Entity {
    _id?: string;
}
export declare type State<T> = Readonly<{
    entities: ReadonlyArray<T>;
    pendingEdits: ReadonlyArray<T>;
    listPending: boolean;
    deletePending: boolean;
    addPending: boolean;
}>;
